const express = require('express');
const router = express.Router();
const ReferralController = require('../controllers/referral');
const { authenticate } = require('../middleware/auth');

router.get('/', authenticate, ReferralController.getReferralInfo);
router.get('/earnings', authenticate, ReferralController.getReferralEarnings);

module.exports = router;
